-- phpMyAdmin SQL Dump
-- version 3.2.4
-- http://www.phpmyadmin.net
--
-- Σύστημα: localhost
-- Χρόνος δημιουργίας: 02 Μάρ 2010, στις 02:51 AM
-- Έκδοση Διακομιστή: 5.1.41
-- Έκδοση PHP: 5.3.1

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Βάση: `gsite`
--

-- --------------------------------------------------------

--
-- Δομή Πίνακα για τον Πίνακα `categories`
--

CREATE TABLE IF NOT EXISTS `categories` (
  `category_id` int(11) NOT NULL AUTO_INCREMENT,
  `category_description` varchar(30) NOT NULL,
  `value` varchar(20) NOT NULL,
  PRIMARY KEY (`category_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

--
-- 'Αδειασμα δεδομένων του πίνακα `categories`
--

INSERT INTO `categories` (`category_id`, `category_description`, `value`) VALUES
(3, 'Îåíïäï÷åßá', 'hotels'),
(4, 'Åíïéêéáæüìåíá ÄùìÜôéá', 'rooms2let'),
(5, 'Ðáñáëßåò', 'beaches'),
(6, 'ÊÜìðéíã', 'camping'),
(8, 'TEST', '');

-- --------------------------------------------------------

--
-- Δομή Πίνακα για τον Πίνακα `perfectures`
--

CREATE TABLE IF NOT EXISTS `perfectures` (
  `perfecture_id` int(11) NOT NULL AUTO_INCREMENT,
  `perfecture_name` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`perfecture_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

--
-- 'Αδειασμα δεδομένων του πίνακα `perfectures`
--

INSERT INTO `perfectures` (`perfecture_id`, `perfecture_name`) VALUES
(1, 'Èåóóáëïíßêçò'),
(2, 'ÊïæÜíç');

-- --------------------------------------------------------

--
-- Δομή Πίνακα για τον Πίνακα `reviewed_names`
--

CREATE TABLE IF NOT EXISTS `reviewed_names` (
  `reviewed_id` int(11) NOT NULL AUTO_INCREMENT,
  `reviewed_name` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `category_id` int(11) NOT NULL,
  `perfecture_id` int(11) NOT NULL,
  `reviewed_image1` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `reviewed_image2` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `reviewed_image3` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `telephone1` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `telephone2` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `fax` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `city` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `average_rating` float NOT NULL,
  PRIMARY KEY (`reviewed_id`),
  UNIQUE KEY `reviewed_name` (`reviewed_name`),
  KEY `category_id` (`category_id`),
  KEY `perfecture_id` (`perfecture_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=6 ;

--
-- 'Αδειασμα δεδομένων του πίνακα `reviewed_names`
--

INSERT INTO `reviewed_names` (`reviewed_id`, `reviewed_name`, `category_id`, `perfecture_id`, `reviewed_image1`, `reviewed_image2`, `reviewed_image3`, `telephone1`, `telephone2`, `fax`, `email`, `address`, `city`, `average_rating`) VALUES
(1, 'TEST', 8, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0),
(5, 'TEST2', 4, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);

-- --------------------------------------------------------

--
-- Δομή Πίνακα για τον Πίνακα `reviewsgr`
--

CREATE TABLE IF NOT EXISTS `reviewsgr` (
  `reviews_id` int(11) NOT NULL AUTO_INCREMENT,
  `reviewed_id` int(11) NOT NULL,
  `review_text` text COLLATE utf8_unicode_ci NOT NULL,
  `review_rating` enum('0','1','2','3','4','5') COLLATE utf8_unicode_ci NOT NULL,
  `review_fileimage1` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `review_fileimage2` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `review_fileimage3` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `review_approved` tinyint(1) DEFAULT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`reviews_id`),
  KEY `reviewed_id` (`reviewed_id`),
  KEY `reviewed_id_2` (`reviewed_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=4 ;

--
-- 'Αδειασμα δεδομένων του πίνακα `reviewsgr`
--

INSERT INTO `reviewsgr` (`reviews_id`, `reviewed_id`, `review_text`, `review_rating`, `review_fileimage1`, `review_fileimage2`, `review_fileimage3`, `review_approved`, `user_id`) VALUES
(1, 1, 'very good', '3', '', '', '', 0, 500),
(2, 1, 'Ðïëý êáëü..Íá ðÜôå', '3', '', '', '', 0, 500),
(3, 5, 'ÐñÜãìáôé åßíáé ðïëý êáëü.', '3', '¶íåìïò.bmp', '', '', 0, 500);

-- --------------------------------------------------------

--
-- Δομή Πίνακα για τον Πίνακα `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `fullname` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `number_of_reviews` smallint(6) DEFAULT NULL,
  `year_of_birth` smallint(6) NOT NULL,
  `isactive` tinyint(1) NOT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `username` (`username`,`email`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=501 ;

--
-- 'Αδειασμα δεδομένων του πίνακα `users`
--

INSERT INTO `users` (`user_id`, `username`, `password`, `fullname`, `email`, `number_of_reviews`, `year_of_birth`, `isactive`) VALUES
(500, 'admin', 'admin', 'Administrator', 'admin@vlsi.gr', 0, 1970, 1);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `reviewed_names`
--
ALTER TABLE `reviewed_names`
  ADD CONSTRAINT `reviewed_names_ibfk_4` FOREIGN KEY (`perfecture_id`) REFERENCES `perfectures` (`perfecture_id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `reviewed_names_ibfk_3` FOREIGN KEY (`category_id`) REFERENCES `categories` (`category_id`) ON UPDATE CASCADE;

--
-- Constraints for table `reviewsgr`
--
ALTER TABLE `reviewsgr`
  ADD CONSTRAINT `reviewsgr_ibfk_2` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`) ON UPDATE CASCADE,
  ADD CONSTRAINT `reviewsgr_ibfk_1` FOREIGN KEY (`reviewed_id`) REFERENCES `reviewed_names` (`reviewed_id`) ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
